> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://commify.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://commify.ferndocs.com/_mcp/server.

# Get all requests

GET http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests

Reference: https://commify.ferndocs.com/api-reference/requests/get-all-requests

## Authentication

- `X-API-Key` header (required) — Your Commify API key.

## Request

### Query parameters

- `ContinuationToken` (string, optional)
- `RequestId` (string, optional)
- `Status` (string, optional)
- `RequestReason` (string, optional)
- `RequestName` (string, optional)
- `RequestedOriginator` (string, optional)
- `Channel` (string, optional)
- `MessageType` (string, optional)
- `Source` (string, optional)
- `StartTime` (datetime, optional)
- `EndTime` (datetime, optional)
- `PageSize` (V2RequestsGetParametersPageSize, optional)
- `SortOrder` (enum, optional)
  - Allowed values: `Asc`, `Desc`
- `SortBy` (enum, optional)
  - Allowed values: `SubmittedAt`
- `SubmittedBy` (string, optional)
- `WorkflowId` (string, optional)
- `WorkflowName` (string, optional)
- `AutomationId` (string, optional)
- `AutomationFileId` (string, optional)

### Headers

- `AccountReference` (string, optional) — Optional AccountReference header

## Response

### 200

OK

- `data` (GetAllRequestsResponse, optional, nullable)
- `errors` (list of ErrorDto, optional, nullable)

## Types

### V2RequestsGetParametersPageSize

### GetAllRequestsResponse

- `requests` (list of GetAllRequestsResponseRequestsItems, optional)
- `totalCount` (GetAllRequestsResponseTotalCount, optional)
- `currentPage` (GetAllRequestsResponseCurrentPage, optional)
- `totalPages` (GetAllRequestsResponseTotalPages, optional)
- `pageSize` (GetAllRequestsResponsePageSize, optional)

### ErrorDto

- `errorCode` (string, required)
- `errorMessage` (string, required)
- `metadata` (map from string to string, optional, nullable)

### GetAllRequestsResponseRequestsItems

- `requestId` (string, optional)
- `accountReference` (string, optional, nullable)
- `userId` (string, optional)
- `submittedBy` (string, optional, nullable)
- `requestName` (string, optional, nullable)
- `source` (string, optional, nullable)
- `requestedOriginator` (string, optional, nullable)
- `destinationCodes` (list of string, optional)
- `templateId` (string, optional, nullable)
- `templateName` (string, optional, nullable)
- `dynamicFieldsUsed` (boolean, optional)
- `channel` (string, optional, nullable)
- `messageType` (string, optional, nullable)
- `characterSet` (string, optional, nullable)
- `status` (string, optional, nullable)
- `requestReason` (string, optional, nullable)
- `messageCount` (GetAllRequestsResponseRequestsItemsMessageCount, optional)
- `messagePartCount` (GetAllRequestsResponseRequestsItemsMessagePartCount, optional, nullable)
- `sentMessageCount` (GetAllRequestsResponseRequestsItemsSentMessageCount, optional)
- `sentMessagePartCount` (GetAllRequestsResponseRequestsItemsSentMessagePartCount, optional)
- `failedMessageCount` (GetAllRequestsResponseRequestsItemsFailedMessageCount, optional)
- `failedMessagePartCount` (GetAllRequestsResponseRequestsItemsFailedMessagePartCount, optional)
- `submittedAt` (datetime, optional)
- `lastUpdateTimestamp` (datetime, optional)
- `direction` (string, optional, nullable)
- `originalBody` (string, optional, nullable)
- `deletedMessages` (GetAllRequestsResponseRequestsItemsDeletedMessages, optional)
- `contentType` (string, optional, nullable)
- `attachmentUrl` (string, optional, nullable)
- `workflowId` (string, optional, nullable)
- `workflowName` (string, optional, nullable)
- `automationId` (string, optional, nullable)
- `automationFileId` (string, optional, nullable)

### GetAllRequestsResponseTotalCount

### GetAllRequestsResponseCurrentPage

### GetAllRequestsResponseTotalPages

### GetAllRequestsResponsePageSize

### GetAllRequestsResponseRequestsItemsMessageCount

### GetAllRequestsResponseRequestsItemsMessagePartCount

### GetAllRequestsResponseRequestsItemsSentMessageCount

### GetAllRequestsResponseRequestsItemsSentMessagePartCount

### GetAllRequestsResponseRequestsItemsFailedMessageCount

### GetAllRequestsResponseRequestsItemsFailedMessagePartCount

### GetAllRequestsResponseRequestsItemsDeletedMessages

## Examples

**Response**

```json
{
  "data": null,
  "errors": null
}
```

**SDK Code**

```python
import requests

url = "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "http://gateway-api.e97e9e55a5d242f9a139.uksouth.aksapp.io/v2/requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```